Query Parameters
Sample Request
- If
engine = "regression"(or empty) or engine isn’t provided, it executes ML Batch Testing. - If engine is set to
"dgpt", it executes Dialog GPT Batch Testing.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
| Field | Value |
|---|---|
| Method | POST |
| Endpoint | https://{{host}}/api/public/bot/{{BotID}}/testsuite/{testSuiteName}/run |
| Content Type | application/json |
| Authorization | auth: {{JWT}} See How to generate the JWT Token. |
| API Scope | App Builder: Batch Tests Execution; Admin Console: Not Applicable |
| Parameter | Description | Mandate |
|---|---|---|
| host | The environment URL. For example, https://platform.kore.ai | Required |
| BotID | Bot ID or Stream ID can be accessed under General Settings on the App Builder. | Required |
| testSuiteName | Name of the test suite on the App Builder. | Required |
curl --location --request POST \
'https://{host}/api/public/stream/{streamId}/testsuite/{testSuiteName}/run' \
--header 'auth: {{jwt-token}}' \
--header 'bot-language: {{language-code}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"version":"inDevelopment",
"engine":"dgpt"
}'
engine = "regression" (or empty) or engine isn’t provided, it executes ML Batch Testing."dgpt", it executes Dialog GPT Batch Testing.| Parameter | Description | Mandate |
|---|---|---|
| version | The version of the bot against which the execution is required: published for Published version, inDevelopment for the Configured version. | Required |
{
"status": "accepted",
"requestId": "tr-acfxxbff-xxxf-xaxx-bbbx-exxxabaxxcxx"
}
Was this page helpful?